com.sleepycat.db

## Class DbHandleExtractor

- java.lang.Object
- - com.sleepycat.db.DbHandleExtractor

-     public class DbHandleExtractor
      extends java.lang.Object

  This class is a hack to workaround the need to rewrite the entire org.apache.lucene.store.db package after Sleepycat radically changed its Java API from version 4.2.52 to version 4.3.21. The code below extracts the package-accessible internal handle instances that were the entrypoint objects in the pre-4.3 Java API and that wrap the actual Berkeley DB C objects via SWIG.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Db` | `getDb(Database database)`
    `static DbTxn` | `getDbTxn(Transaction transaction)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getDb

          public static Db getDb(Database database)

    - #### getDbTxn

          public static DbTxn getDbTxn(Transaction transaction)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.